Package com.destroystokyo.paper.event.entity

# Class EnderDragonShootFireballEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
com.destroystokyo.paper.event.entity.EnderDragonShootFireballEvent

All Implemented Interfaces:
  `Cancellable`

public class EnderDragonShootFireballEvent extends EntityEvent implements Cancellable
Fired when an EnderDragon shoots a fireball

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EnderDragonShootFireballEvent(@NotNull EnderDragon entity, @NotNull DragonFireball fireball)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull EnderDragon`
`getEntity()`
The enderdragon shooting the fireball
`@NotNull DragonFireball`
`getFireball()`
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnderDragonShootFireballEvent

public EnderDragonShootFireballEvent(@NotNull @NotNull EnderDragon entity, @NotNull @NotNull DragonFireball fireball)

## Method Details

### getEntity

@NotNull public @NotNull EnderDragon getEntity()
The enderdragon shooting the fireball

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getFireball

@NotNull public @NotNull DragonFireball getFireball()

Returns:
  The fireball being shot

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event